package com.fjhx.entity;

import com.baomidou.mybatisplus.annotation.*;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 邮件推送信息
 * </p>
 *
 * @author zlj
 * @since 2022-12-21
 */
@Getter
@Setter
@TableName("email_message_send")
public class EmailMessageSend implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private Long id;

    /**
     * 邮件id
     */
    private String messageId;

    /**
     * 类型 1收件人 2抄送人 3密送人
     */
    private Integer type;

    /**
     * 推送人名称
     */
    private String name;

    /**
     * 推送人地址
     */
    private String address;

    /**
     * 创建时间
     */
    @TableField(fill = FieldFill.INSERT)
    private Date createTime;

}
